program dislin_vectors;

uses
   dislin;

var
   nl, nx, ny, i : int32;
   v		 : double;
   ctit		 : AnsiString;
   ivec		 : array[0..19] of int32 =                       
           (0, 1111, 1311, 1421, 1531, 1701, 1911,   
            3111, 3311, 3421, 3531, 3703, 4221, 4302,
	   4413, 4522, 4701, 5312, 5502, 5703);

begin
   ctit := 'Vectors';
   metafl ('cons');
   disini ();
   pagera ();
   hwfont ();

   height (60);
   nl := nlmess (ctit);
   messag (ctit, (2970 - nl) div 2, 200);

   height (50);
   nx := 300;
   ny := 400;

   for i:= 0 to 19 do
   begin
      if i = 10 then
      begin
         nx := nx + 2970 div 2;
         ny := 400;
      end;

      v := ivec[i];
      nl := nlnumb (v, -1);
      number (v, -1, nx - nl, ny - 25);

      vector (nx + 100, ny, nx + 1000, ny, ivec[i]);
      ny := ny + 160;
   end;
   disfin ();
end.

